Name:           perl-Dancer-Plugin-DBIC
Version:        0.2001
Release:        1%{?dist}
Summary:        DBIx::Class interface for Dancer applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer-Plugin-DBIC/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/I/IR/IRONCAMEL/Dancer-Plugin-DBIC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Dancer) >= 1.3098
BuildRequires:  perl(Dancer::Plugin)
BuildRequires:  perl(Dancer::Test)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(DBIx::Class::Core)
BuildRequires:  perl(DBIx::Class::Schema)
BuildRequires:  perl(DBIx::Class::Schema::Loader) >= 0.07002
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Module::Load::Conditional)
BuildRequires:  perl(SQL::Translator) >= 0.11016
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
Requires:       perl(Dancer) >= 1.3098
Requires:       perl(Dancer::Plugin)
Requires:       perl(DBIx::Class)
Requires:       perl(DBIx::Class::Schema::Loader) >= 0.07002
Requires:       perl(Module::Load)
Requires:       perl(SQL::Translator) >= 0.11016
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin makes it very easy to create Dancer applications that interface
with databases. It automatically exports the keyword schema which returns a
DBIx::Class::Schema object. You just need to configure your database
connection information. For performance, schema objects are cached in
memory and are lazy loaded the first time they are accessed.

%prep
%setup -q -n Dancer-Plugin-DBIC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 01 2014 Dave Cross <dave@mag-sol.com> 0.2001-1
- Specfile autogenerated by cpanspec 1.78.
